This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 187657 - eclipse workbench not saved
eclipse workbench not saved
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-04-02 07:37 EDT by Émeric Maschino
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 11:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Émeric Maschino 2006-04-02 07:37:04 EDT
Description of problem:

When launching eclipse for the first time, everything appears to be fine. But
subsequent startups display an error dialog box stating "Unbale to read
workbench state. Workbench UI layout will be reset."

Version-Release number of selected component (if applicable):

eclipse-platform-3.1.2-1jpp_13fc

How reproducible:

Start eclipse the first time so that the .eclipse and workspace diectories are
created. All is fine. Then restart eclipse: you now get the dialog box error.

Steps to Reproduce:
1. Invoke eclipse (through the CLI or using the GNOME entry)
2. Restart eclipse a second time
3.
  
Actual results:

The error dialog box is displayed and the workbench isn't saved.

Expected results:

The workbench should be saveable.

Additional info:

Other installed eclipse packages: eclipse-ecj-3.1.2-1jpp_13fc,
eclipse-rcp-3.1.2-1jpp_13fc, eclipse-jdt-3.1.2-1jpp_13fc
Comment 1 Andrew Overholt 2006-04-03 12:00:18 EDT
I don't have an ia64 box on which to try this.  Is there one I can use to see
the problem firsthand?
Comment 2 Émeric Maschino 2006-07-29 08:50:48 EDT
Good news: I don't know exactly which version corrected this issue (as my
workstation was away from the web for roughly one month), but
eclipse-platform-3.2.0-1jpp_8fc (and the related packages) is running fine.
Comment 3 Ben Konrath 2006-09-05 11:19:35 EDT
That's good news, closing bug.

Note You need to log in before you can comment on or make changes to this bug.